# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define svnrev 2475

Name:           trac-toc-macro
Version:        1.0
Release:        3.20070715svn%{svnrev}%{?dist}
Summary:        Table of contents plugin for Trac

Group:          Applications/Internet
License:        BSD
URL:            http://www.trac-hacks.org/wiki/TocMacro
# Source comes from SVN right now: svn co -r %{svnrev}; http://trac-hacks.org/svn/tocmacro/ \
#                                  cd tocmacro/0.10; \
#                                  python setup.py sdist --formats gztar
Source0:        TracTocMacro-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       trac, python-setuptools

%description
This plugin for Trac provides table of contents macro support.

%prep
%setup -n TracTocMacro-%{version} -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
# skip-build doesn't work on el4
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT
 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
# For noarch packages: sitelib
%{python_sitelib}/*


%changelog
* Sun Jul 15 2007 Mike McGrath <mmcgrath@redhat.com> - 1.0-3.20070715svn2475
- Created for Fedora Infrastructure based off of Jesse Keating's trac-mercurial-plugin
